"use strict";
'use client';

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js/object/define-property");
var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault").default;
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.NavLink = void 0;
var _filter = _interopRequireDefault(require("@babel/runtime-corejs3/core-js/instance/filter"));
var _react = require("react");
var _link = require("./link");
var _useMatch = require("./useMatch");
var _util = require("./util");
var _jsxRuntime = require("react/jsx-runtime");
const NavLink = exports.NavLink = /*#__PURE__*/(0, _react.forwardRef)((_ref, ref) => {
  var _context;
  let {
    to,
    activeClassName,
    activeMatchParams,
    matchSubPaths,
    className,
    onClick,
    ...rest
  } = _ref;
  // Separate pathname and search parameters, USVString expected
  const [pathname, queryString] = to.split('?');
  const searchParams = activeMatchParams || (0, _util.flattenSearchParams)(queryString);
  const matchInfo = (0, _useMatch.useMatch)(pathname, {
    searchParams,
    matchSubPaths
  });
  const theClassName = (0, _filter.default)(_context = [className, matchInfo.match && activeClassName]).call(_context, Boolean).join(' ');
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_link.Link, {
    ref: ref,
    to: to,
    onClick: onClick,
    className: theClassName,
    ...rest
  });
});